const path = require('path');

module.exports = {
  mode: 'production',
  target: "web",
  entry: path.resolve(__dirname, 'Frontend.ts'),
  output: {
    path: path.resolve(__dirname, '..', 'js', 'browser'),
    filename: "rpclibrary.browser.js",
    libraryTarget: 'window'
  },
  resolve: {
    extensions: [".ts", ".tsx", ".js"]
  },
  module: {
    rules: [
      { test: /\.ts?$/, loader: "ts-loader" }
    ]
  },
  optimization: {
    minimize: false,
  },
  externals: {
  }
}